index {
  client.driver = "es"
  es {
    response.timeout = 10000
    master.uri = "http://localhost:9200?cluster.name=mnx"
    master.uri = ${?ES_MASTER_URI}
    //    user = "elastic"
    //    passwd = "Pa55w0rd"
    user = ${?ES_CLUSTER_USER}
    passwd = ${?ES_CLUSTER_PWD}
    default = {
      shards = 1,
      replicas = 0,
      refresh_rate = "1s"
    }
    max_result_window = 1000,
    mapping = {
      total_fields.limit = 1000,
      depth.limit = 20,
      nested_fields.limit = 50
    }
  }
}

percolation {
  percolator.es.index.name = "test-analytix-percolator-test"
  percolator.es.index.name = ${?ES_PERCO_INDEX_NAME}
  percolator.option.relatedBroader = false

  percolator.embedding.cache.name = "vectorEmbedding.db"

  ontology {
    mnx.uri = "http://ns.mnemotix.com/ontologies/2019/8/generic-model/"
  }
}

cache {
  createIfMissing = true
  writeBufferSize = 256
  maxWriteBufferNumber = 4
  dir = "modules/percolation/src/test/resources/cache/"
  dir = ${?CACHE_LOC_DIR}
}

rdf {
  user = "admin"
  user = ${?RDFSTORE_USER}
  password = "root"
  password = ${?RDFSTORE_PWD}
  root.uri = "http://localhost:7200"
  root.uri = ${?RDFSTORE_ROOT_URI}
  repository.name = "dev-memograph"
  read.endpoint = ""
  write.endpoint = "statements"
  client.driver = "rdf4j"
}

nlp {
  textprocessing.stopwords = "d' l' h/f F/H f h"

  wordEmbeddings {
    model.file.path = "modules/nlp/src/test/resources/frWac_non_lem_no_postag_no_phrase_200_cbow_cut100.bin"
  }
}

jobs {
  monitored = [
    {
      id = "percolatorBatchIndexing",
      qname = "com.mnemotix.analytix.percolation.job.PercolatorBatchIndexingJob"
      args = [
        {
          label = "percolatorIndex",
          value = "demo-mnx-concept"
        },
        {
          label = "logical",
          value = "or"
        },
        {
          label = "fields",
          value = ["altLabel", "prefLabel"]
        },
        {
          label = "queryString",
          value = "{  \n \"query\": { \n    \"query_string\": { \n      \"query\": \"($$prefLabel$$)[[ OR ($$altLabel$$)]]\", \n \"default_field\": \"content\" \n } \n } \n }"
        },
        {
          label = "sortField"
          value = "entityID"
        }
      ]
    }
  ]
}

nlp {
  textprocessing.stopwords = "a, ab, am, ap, abu, al, auf, aus, bar, bath, bat, ben, bet, bin, bint, d, da, dall, dalla, das, de, degli, del, dell, della, dem, den, der, di, do, dos, ds, du, e, el,i, ibn, im, jr, l, la, las, le, los, m, mac, mc, mhic, mic, o, ter, und,v, van, vom, von, zu, zum, zur"

  multiWord.extraction {
      npfst {
        grammar = "(A|N)*N(PD*(A|N)*N)*"
        minlen = 2
        maxlen = 8
      }
  }

  cpmerge {
     ngram.size = 3
     ngram.delimiter = "££"
  }
}